View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000697Ecere SDKidepublic2012-03-23 17:232013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000697: Bringing up system menu (Alt-Space) while searching in files jams the IDE
DescriptionBringing up system menu (Alt-Space) while searching in files jams the IDE
Steps To ReproduceStart a long search in files
Hit alt-space
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000551)
jerome (administrator)
2012-03-28 03:47
edited on: 2012-03-28 03:49

It seems to happen only when searching inside a workspace/project's files.

(0000552)
jerome (administrator)
2012-03-28 03:54

Alt-Minus (The output panel's system menu) does it too.
Starting to think this is Windows specific...
(0000567)
jerome (administrator)
2012-03-29 07:36

The DestroyRootWindow() call on the interim menu, from the horizontal scrollbar visibility being turned on was causing this.

Fixed by
https://github.com/ecere/sdk/commit/7297876fa2c1457ffc38517c8a1261e23e6f56ee [^]
and
https://github.com/ecere/sdk/commit/24ae3dceace436861daf1bab2120b945fa679420 [^]

- Issue History
Date Modified Username Field Change
2012-03-23 17:23 jerome New Issue
2012-03-28 03:47 jerome Note Added: 0000551
2012-03-28 03:49 jerome Note Edited: 0000551
2012-03-28 03:54 jerome Note Added: 0000552
2012-03-29 07:36 jerome Status new => resolved
2012-03-29 07:36 jerome Fixed in Version => 0.44.1 Android
2012-03-29 07:36 jerome Resolution open => fixed
2012-03-29 07:36 jerome Assigned To => jerome
2012-03-29 07:36 jerome Note Added: 0000567
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker